# Contributing

This project adheres to the [Contributor Covenant](http://contributor-covenant.org/version/1/4/). By participating, you are expected to uphold this code.

## How to Contribute

Please make sure that your contribution fits well in the project's style & concept:
- Adhere to [Standard Ruby](https://ruby-doc.org/stdlib-2.3.1/)
- Pass all tests

## Creating an Issue

Before you create a new Issue:

Check the [Issues](https://github.com/officeluv/humanity-api/issues) on Github to ensure one doesn't already exist.

- Place use one of these topics in the beginning of your issue title- Contrib, Hotfix, Error, Help or Feature.
- Clearly describe the issue, including the steps to reproduce the issue.
- If it's a new feature, enhancement, or restructure, Explain your reasoning on why you think it should be added, as well as a particular use case.

## Making Changes

- Create a topic branch from the development branch with the issue number `EX. #200_make_changes`
- Keep git commit messages clear and appropriate
- Make sure you have added any tests necessary to test your code. npm test
- Update the Documentation to go along with any changes in functionality / improvements.

## Submitting the Pull Request

- Push your changes to your topic branch on your fork of the repo.
- Submit a pull request from your topic branch to the development branch
- We use GitHub Flow
- Be sure to tag any issues your pull request is taking care of / contributing to. `EX. #201 add and updated this`
